> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Stack Profile Iac Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/stack-profiles/{profile_id}/versions/{version}/iac-export
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/stack-profiles/{profile_id}/versions/{version}/iac-export:
    get:
      tags:
        - Stack Profiles API
      summary: Export Stack Profile Iac Endpoint
      operationId: >-
        export_stack_profile_iac_endpoint_api_v1_org_stack_profiles__profile_id__versions__version__iac_export_get
      parameters:
        - name: profile_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Profile Id
        - name: version
          in: path
          required: true
          schema:
            type: integer
            title: Version
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - name: x-ankra-organisation-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StackProfileIacExport'
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    StackProfileIacExport:
      properties:
        profile_id:
          type: string
          format: uuid4
          title: Profile Id
        version:
          type: integer
          title: Version
        content_base64:
          type: string
          title: Content Base64
        parameters:
          items:
            $ref: '#/components/schemas/ParameterSpec'
          type: array
          title: Parameters
          default: []
      type: object
      required:
        - profile_id
        - version
        - content_base64
      title: StackProfileIacExport
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ParameterSpec:
      properties:
        name:
          type: string
          title: Name
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        type:
          $ref: '#/components/schemas/ParameterType'
          default: string
        required:
          type: boolean
          title: Required
          default: false
        default:
          anyOf:
            - type: string
            - type: 'null'
          title: Default
        enum_values:
          items:
            type: string
          type: array
          title: Enum Values
          default: []
        pattern:
          anyOf:
            - type: string
            - type: 'null'
          title: Pattern
        group:
          anyOf:
            - type: string
            - type: 'null'
          title: Group
        resource_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Kind
        resource_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Name
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: Path
      type: object
      required:
        - name
      title: ParameterSpec
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ParameterType:
      type: string
      enum:
        - string
        - number
        - boolean
        - enum
        - secret
      title: ParameterType

````